Subject: Patch for net-2 lpd-590
From: [email-masked] (Brian McCauley)
Date: 20 Dec 1993 01:57:07 +0200
Newsgroups: comp.os.linux.announce

As nobody else seems to have published a version of lpd with the
"short return on write() considered error" bug fixed here's mine.

I've also made a few other changes, see extract from README below.

       Added write_retry() to printjob.c to resume a write() that
       returns a short byte count.

       Moved the initialization of the width parameter so that
       it's not always zero. (Makes lpr -p possible).

       lpc, lptest now installed publicly runnable in /usr/bin
       since it is safe to allow users to run them. You may want
       to remove old ones in other directories.

       lpr now not installed setuid as there is no need as long
       as all your spool directories are writable by group lp.

       lpq now installed setuid(root) as otherwise it can't
       establish priviledged socket connection to read remote
       queue.

Most of the changes except for files' default locations and
permissions. The binary distribution is just the lpd program itself an
the user is free to set permissions/locations as wanted file. The
binary is compiled to use libc.so.4.4.4.

I hope to put this in:

tsx-11.mit.edu:pub/linux/packages/net/new-net-2/

as:

lpd-590p1.tar.gz
lpd-590p1-bin.gz

I'm not going to put it on sunsite as net-2 does not appear to be held
there (or is just that the UK mirror doesn't mirror it from both).
Until it's on tsx-11 you could take it direct from my Linux box in: 
wcl-l.bham.ac.uk:/pub/ but there's no promise it'll be up.

Alternatively here's diff against the old lpd-590

--
    \\   ( )   No Bullshit!   | Email: [email-masked]
 .  _\\__[oo       from       | Phones: +44 21 471 3789 (home)
.__/  \\ /\@  /~)  /~[   /\/[ |   +44 21 627 2171 (voice) 2175 (fax)
.  l___\\    /~~) /~~[  /   [ | PGP-fp: D7 03 2A 4B D8 3A 05 37
 # ll  l\\  ~~~~ ~   ~ ~    ~ |         A1 93 FE EA BE E3 2A 91
###LL  LL\\ (Brian McCauley)  | More: finger [email-masked]

--
Mail submissions for comp.os.linux.announce to: [email-masked]
PLEASE remember Keywords: and a short description of the software.